Skip to main content
GET
/
io.pocketenv.volume.getVolumes
cURL
curl --request GET \
  --url https://api.pocketenv.io/xrpc/io.pocketenv.volume.getVolumes \
  --header 'Authorization: Bearer <token>'
{
  "volumes": [
    {
      "id": "<string>",
      "name": "<string>",
      "path": "<string>",
      "readOnly": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 1
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

sandboxId
string

The ID of the sandbox for which to retrieve volumes.

limit
integer

The maximum number of volumes to return.

Required range: x >= 1
offset
integer

The number of volumes to skip before starting to collect the result set.

Required range: x >= 0

Response

OK

volumes
object[]
total
integer
Required range: x >= 0